Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge
Interface BridgeExtension

All Known Implementing Classes:
  BatikBridgeExtension, SVG12BridgeExtension, SVGBridgeExtension

    public interface BridgeExtension

This is a Service interface for classes that want to extend the functionality of the Bridge, to support new tags in the rendering tree.

Method Summary
`String` | `getAuthor()` This should return the individual or company name responsible for the this implementation of the extension.
`String` | `getContactAddress()` This should return a contact address (usually an e-mail address).
`String` | `getDescription()` Human readable description of the extension.
`Iterator` | `getImplementedExtensions()` This should return the list of extensions implemented by this BridgeExtension, these are added to the list of requiredExtensions that the User Agent supports for purposes of the 'switch' element in SVG.
`float` | `getPriority()` Return the priority of this Extension.
`String` | `getURL()` This should return a URL where information can be obtained on this extension.
`boolean` | `isDynamicElement(Element e)` Whether the presence of the specified element should cause the document to be dynamic.
`void` | `registerTags(BridgeContext ctx)` This method should update the BridgeContext with support for the tags in this extension.

Method Detail

### getPriority

    float getPriority()

  Return the priority of this Extension. Extensions are registered from lowest to highest priority. So if for some reason you need to come before/after another existing extension make sure your priority is lower/higher than theirs.

### getImplementedExtensions

    Iterator getImplementedExtensions()

  This should return the list of extensions implemented by this BridgeExtension, these are added to the list of requiredExtensions that the User Agent supports for purposes of the 'switch' element in SVG.

  Returns:
    An iterator containing strings one for each implemented extension.

### getAuthor

    String getAuthor()

  This should return the individual or company name responsible for the this implementation of the extension.

### getContactAddress

    String getContactAddress()

  This should return a contact address (usually an e-mail address).

### getURL

    String getURL()

  This should return a URL where information can be obtained on this extension.

### getDescription

    String getDescription()

  Human readable description of the extension. Perhaps that should be a resource for internationalization? (although I suppose it could be done internally)

### registerTags

    void registerTags(BridgeContext ctx)

  This method should update the BridgeContext with support for the tags in this extension. In some rare cases it may be necessary to replace existing tag handlers, although this is discouraged.

  Parameters:
    `ctx` - The BridgeContext instance to be updated

### isDynamicElement

    boolean isDynamicElement(Element e)

  Whether the presence of the specified element should cause the document to be dynamic. If this element isn't handled by this BridgeExtension, just return false.

  Parameters:
    `e` - The element to check.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.